无标题文档
WDCDN联

盟内部测试火热进行中
wdCP系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdCDN系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
wdOS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdDNS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
注册 发贴 提问 回复-必看必看 wddns免费智能 DNS 开通 本地或虚拟机使 用wdcp 一键包在mysql编 译时"卡住"
【300G高防】双线 无视攻击 wdcp官方技术支持/服务 WD旗下云主机
无敌云上线优惠中
腾讯云优惠中,现注册更有260代金额券赠送
返回列表 发帖
提问三步曲: 提问先看教程/FAQ索引(wdcp,一键包,wdOS)及搜索,会让你更快解决问题
1 对应版块,提供系统版本位数,wdcp版本,lamp,lnmp,lnamp是哪个环境,rpm或编译安装
2 有哪些错误信息或提示,贴上论坛或截图发论坛
3 做过哪些操作或更改或设置等详细说明

温馨提示:信息不详,很可能会没人理你!论坛有相应教程说明的,也可能没人理!因为,你懂的

[发布] 一键安装包lanmp_v3.1版本发布

lanmp一键安装包是集成了lamp,lnmp,lnamp三种模式的开源软件WEB应用部署安装软件包,能方便快速部署WEB应用环境lanmp一键安装包是wdlinux官网2010年底开始推出的web应用环境的快速简易安装包.
执行一个脚本,整个环境就安装完成就可使用,快速,方便易用,安全稳定
lanmp一键安装包是用shell脚本编写,且是开源的,你也可以根据业务需求,做相应的调整,来安装自己所需要的环境.
lanmp表示的是Linux,apache,nginx,mysql,php的简称,目前支持三种环境安装,即是lamp,lnmp,lnamp
同时会默认安装zend,eAccelerator,pureftpd等相应加速,优化等软件,还有FTP软件

可选安装如下三个其一,也可都安装,然后通过wdcp后台可切换使用不同的环境
1 lamp(linux+apache+php+mysql) 有Linux下WEB应用的黄金组合之称
2 lnmp(linux+nginx+php+mysql) 新流行的一个应用组合,对静态的处理更好
2 lnamp(linux+nginx+apache+php+mysql),即是nginx+apache组合环境的应用,也即是nginx前端处理静态,图片等,apche处理后台php脚本程序。

nginx在处理静态文件上有着非常好的性能和稳定性,且节省资源,但在处理php的应用上相对不稳定,而apache在处理php的应用上是非常稳定的,也因此,目前比较流行的一个n+a的组合应用应运而生
更多关于lanmp的介绍可看 http://www.wdlinux.cn/lanmp/

lanmp_v3集成了最新的WEB应用环境软件版本
在这次更新包里,增加了多个软件版本安装的可选择性安装

apache
2.2.31
2.4.18

nginx
1.0.15
1.2.9
1.4.7
1.6.3
1.8.1
1.10.0

mysql
5.5.49
5.6.30

php

5.3.29
5.4.45
5.5.35
5.6.21
7.0.6

并集成了pureftpd,memcached,zend,memcache,rewrite,pdo_mysql,mysqli等应用组件
下一版本更新计划,将增加多版本PHP同时共存,以便提供对不同应用的需求方案

下载安装
wget http://dl.wdlinux.cn/files/lanmp_v3.1.tar.gz
tar zxvf lanmp_v3.1.tar.gz
sh lanmp.sh                   默认安装
sh lanmp.sh cus             自定义安装

默认安装的版本是
apache-2.4.18
nginx-1.8.1
php-5.6.21
mysql-5.5.49

如需自定义软件的安装,在安装脚本后面增加 cus 即可
如上所述,这样就可以选择自己要安装的相应版本

软件安装目录
/www/wdlinux
数据库文件目录
/www/wdlinux/mysql/data

已在CentOS 6.X/7.X上测试通过,其它系统未能亲测,大家安装时可把问题发到论坛上来
已知php5.3在CentOS 7的系统上安装有问题

已集成wdcp_v3.0.2的管理面板,安装好可通过面板管理服务器和创建站点,数据库,FTP等
关于wdcp的介绍或使用,请看 http://www.wdlinux.cn/bbs/forum-23-1.html

卸载方法
sh lanmp.sh un

其它说明
openvz的虚拟机安装似乎有问题,安装不了
--
看清提问三步曲及多看教程/FAQ索引(wdcp,一键包,wdOS),益处多多.wdcp工具集

回复 162# cctv531529


    http://www.wdlinux.cn/bbs/thread-8060-1-2.html
善用搜索

TOP

本帖最后由 Lieb 于 2017-4-22 19:47 编辑

这很棒,我很喜欢wdcp

TOP

我想安装mysql5.6,怎么操作呢?

TOP

怎么才能有金币啊?????????????????????????????????
的是的

TOP

下载安装全新的 V3.1 试试
折腾中

TOP

checking for icu-config... /usr/bin/icu-config
checking for location of ICU headers and libraries... /usr
checking for ICU 4.0 or greater... found 3.6
configure: error: ICU version 4.0 or later is required


i686
wdOS 1.0
-----------------
----Install Error: php configure err -----------

TOP

checking for iconv support... yes
checking for iconv... yes
checking if iconv is glibc's... yes
checking if iconv supports errno... no
checking if iconv supports //IGNORE... no
checking if your cpp allows macro usage in include lines... yes
checking for IMAP support... no
checking for IMAP Kerberos support... no
checking for IMAP SSL support... no
checking for InterBase support... no
checking whether to enable internationalization support... yes
checking for icu-config... /usr/bin/icu-config
checking for location of ICU headers and libraries... /usr
checking for ICU 4.0 or greater... found 3.6
configure: error: ICU version 4.0 or later is required


i686
wdOS 1.0
-----------------
----Install Error: php configure err -----------


晕死  这撒情况啊  一直就在PHP这个步骤出错 vultr的VPS   他们系统带的镜像centos 6 X64安装出来这这样,我又传WD官方的两个OS  X64和32  都这样   vultr的VPS是KVM架构 的  可自定义ISO  所以挂载了官方WDOS安装也这样。

TOP

此版本最小需要多大内存?

TOP

CMake Error at cmake/readline.cmake:102 (CHECK_LIBRARY_EXISTS):
  Unknown CMake command "CHECK_LIBRARY_EXISTS".
Call Stack (most recent call first):
  cmake/readline.cmake:118 (FIND_CURSES)
  cmake/readline.cmake:214 (MYSQL_USE_BUNDLED_READLINE)
  CMakeLists.txt:361 (MYSQL_CHECK_READLINE)


-- Configuring incomplete, errors occurred!
See also "/root/src/mysql-5.5.54/CMakeFiles/CMakeOutput.log".
See also "/root/src/mysql-5.5.54/CMakeFiles/CMakeError.log".


x86_64
CentOS release 6.5 (Final)
----Install Error: mysql configure err -----------
全新安装环境全新后台(v3全新完整版) 安装时候MYSQL报错

TOP

如果能有一个一键升级脚本就好了!

TOP

不会安装:'(

TOP

支持!如果能把mysql也升级到5.7就好了

TOP

我用的默认安装,php5.6怎么升级到php7啊

TOP

怎么金币是0呢
大脸猫

TOP

返回列表